Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class CRLDistPointName

`java.lang.Object
oracle.security.crypto.cert.CRLDistPointName`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class CRLDistPointName
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

The name of a CRL distribution point name, as defined in RFC 2459. Used in `oracle.security.crypto.cert.extension.IssuingDistPointExtension`.

Constructor Summary
`CRLDistPointName(GeneralName name)` Create a new `CRLDistPointName` with the given `GeneralName`.
`CRLDistPointName(java.io.InputStream is)` Create a new `CRLDistPointName` by reading its encoded value from the given input stream.
`CRLDistPointName(java.util.Vector fullName)` Create a new CRLDistPointName with the given vector of `GeneralName`.
`CRLDistPointName(X500RDN relativeName)` Create a new `CRLDistPointName` with the given relative distinguished name (relative to the CRL issuer's name).

Method Summary
`void` | `addGeneralName(GeneralName name)` Add a `GeneralName` to this `CRLDistPointName`'s full name.
`java.util.Vector` | `getFullName()` Get the full name for this distribution point name.
`X500RDN` | `getRelativeName()` Get the name for this distribution point name, relative to the name of the CRL's issuer.
`void` | `input(java.io.InputStream is)`
`int` | `length()`
`void` | `output(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRLDistPointName

    public CRLDistPointName(GeneralName name)

  Create a new `CRLDistPointName` with the given `GeneralName`.

### CRLDistPointName

    public CRLDistPointName(java.util.Vector fullName)

  Create a new CRLDistPointName with the given vector of `GeneralName`.

### CRLDistPointName

    public CRLDistPointName(X500RDN relativeName)

  Create a new `CRLDistPointName` with the given relative distinguished name (relative to the CRL issuer's name).

### CRLDistPointName

    public CRLDistPointName(java.io.InputStream is)
                     throws java.io.IOException

  Create a new `CRLDistPointName` by reading its encoded value from the given input stream.

Method Detail

### addGeneralName

    public void addGeneralName(GeneralName name)

  Add a `GeneralName` to this `CRLDistPointName`'s full name.

### getFullName

    public java.util.Vector getFullName()

  Get the full name for this distribution point name.
  Returns:
    a `Vector` of `GeneralName`s, or `null` if none is defined.

### getRelativeName

    public X500RDN getRelativeName()

  Get the name for this distribution point name, relative to the name of the CRL's issuer.
  Returns:
    a `X500RDN`, or `null` if none is defined.

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Specified by:
    `input` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Specified by:
    `output` in interface `oracle.security.crypto.util.Streamable`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `oracle.security.crypto.util.Streamable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.